# List user reports

List user reports

Endpoint: GET /users/{user_id}/reports
Version: 1.144.0
Security: oauth-client-credentials

## Path parameters:

  - `user_id` (string, required)
    The unique identifier of the user. Universally Unique Identifier (UUID).

## Query parameters:

  - `type` (string)
    Filters the list to only show reports of a certain type (e.g. only buy order confirmations)

  - `instrument` (any)
    Filters the list to only include reports concerning specified instrument

  - `start_date` (string)

  - `end_date` (string)

  - `sort` (string)
    Field of resource to sort by

  - `order` (string)
    Sort order of the result list if the `sort` parameter is specified. Use `ASC` for ascending or `DESC` for descending sort order.

  - `limit` (integer)
    Use the `limit` argument to specify the maximum number of items returned.

  - `offset` (integer)
    Use the `offset` argument to specify where in the list of results to start when returning items for a particular query.

## Header parameters:

  - `upvest-client-id` (string, required)
    Your client ID, issued by Upvest. Identifies the client making the request. Universally Unique Identifier (UUID).

  - `Authorization` (string, required)
    Bearer (access) token from the OAuth flow with correct scopes.
https://datatracker.ietf.org/doc/html/rfc6750

  - `signature` (string, required)
    https://tools.ietf.org/id/draft-ietf-httpbis-message-signatures-01.html#name-the-signature-http-header

  - `signature-input` (string, required)
    https://tools.ietf.org/id/draft-ietf-httpbis-message-signatures-01.html#name-the-signature-input-http-he

  - `upvest-api-version` (string)
    Upvest API version (Note: Do not include quotation marks)

## Response 200 fields (application/json):

  - `meta` (object, required)

  - `meta.offset` (integer, required)
    Amount of resource to offset in the response.

  - `meta.limit` (integer, required)
    Total limit of the response.

  - `meta.count` (integer, required)
    Count of the resources returned in the response.

  - `meta.total_count` (integer, required)
    Total count of all the resources.

  - `meta.sort` (string, required)
    The field that the list is sorted by.

  - `meta.order` (string, required)
    The ordering of the response.
* ASC - Ascending order
* DESC - Descending order
    Enum: "ASC", "DESC"

  - `data` (array, required)

  - `data.id` (string, required)
    Report unique identifier.

  - `data.created_at` (string, required)
    Date and time when the resource was created. [RFC 3339-5](https://datatracker.ietf.org/doc/html/rfc3339#section-5.6), [ISO8601 UTC](https://www.iso.org/iso-8601-date-and-time-format.html)

  - `data.user_id` (string, required)
    Unique identifier of the user, as a UUID.

  - `data.type` (string, required)
    Report type
* ACCOUNT_CLOSING - Securities account closure
* ACCOUNT_OPENING - Securities account opening
* AD_HOC_ACCOUNT_STATEMENT - Ad hoc account statement
* ANNUAL_INCOME_STATEMENT - Annual tax income statement ("Erträgnisaufstellung")
* ANNUAL_TAX_STATEMENT - Annual tax reporting
* BANK_ACCOUNT_CONNECTED - Connect reference bank account
* BUY_ORDER - Buy order
* CANCELLED_ORDER - Cancelled buy or sell order (not yet executed, user cancels or trading venue cancelled)
* CORPORATE_ACTION_CASH_TRANSACTION - cash transaction document (after corporate action)
* CORPORATE_ACTION_SECURITY_TRANSACTION - security transaction document (after corporate action)
* DIRECT_DEBIT_MANDATE - Creation of SEPA direct debit mandate
* EX_POST_COST - Ex-post cost report
* FEE_COLLECTION - Intake of service fees
* FRENCH_IFU - French tax statement (Imprimé fiscal unique)
* GENERIC_COMMUNICATION - Generic communication
* INCOME_DISTRIBUTION - Income distribution report
* LOSS_THRESHOLD - Notification that a holding has depreciated by 10%, or a multiple thereof, against its purchase value
* MONTHLY_BILLING_STATEMENT - Monthly billing activities statement
* ORDER_EX_ANTE_COST - Ex-ante cost report for a single order
* ORDER_EX_ANTE_COST_SAVINGS_PLAN - Ex-ante cost report for a savings plan order
* QUARTERLY_ACCOUNT_STATEMENT - Quarterly account statement
* REVOKED_ORDER - Revoked buy or sell order ("Storno")
* SECURITIES_TRANSFER_INCOMING - Securities are transferred in
* SECURITIES_TRANSFER_OUTGOING - Securities are being transferred out
* SELL_ORDER - Sell order
* TAX_CONSOLIDATED_CERTIFICATE_UK - UK Consolidated Tax Certificate
* TAX_PAYMENT - Tax payment document
* TAX_PREPAYMENT_DE - German tax prepayment (Vorabpauschale)
* TAX_PREPAYMENT_DE_CANCELLATION - German tax prepayment (Vorabpauschale) cancellation
* TAX_REFUND - Tax refund document (after tax optimization)
    Enum: "ACCOUNT_CLOSING", "ACCOUNT_OPENING", "AD_HOC_ACCOUNT_STATEMENT", "ANNUAL_INCOME_STATEMENT", "ANNUAL_TAX_STATEMENT", "BANK_ACCOUNT_CONNECTED", "BUY_ORDER", "CANCELLED_ORDER", "CORPORATE_ACTION_CASH_TRANSACTION", "CORPORATE_ACTION_SECURITY_TRANSACTION", "DIRECT_DEBIT_MANDATE", "EX_POST_COST", "FEE_COLLECTION", "FRENCH_IFU", "GENERIC_COMMUNICATION", "INCOME_DISTRIBUTION", "LOSS_THRESHOLD", "MONTHLY_BILLING_STATEMENT", "ORDER_EX_ANTE_COST", "ORDER_EX_ANTE_COST_SAVINGS_PLAN", "QUARTERLY_ACCOUNT_STATEMENT", "REVOKED_ORDER", "SECURITIES_TRANSFER_INCOMING", "SECURITIES_TRANSFER_OUTGOING", "SELL_ORDER", "TAX_CONSOLIDATED_CERTIFICATE_UK", "TAX_PAYMENT", "TAX_PREPAYMENT_DE", "TAX_PREPAYMENT_DE_CANCELLATION", "TAX_REFUND"

  - `data.substituted_report_id` (any, required)

  - `data.data` (object)
    Contents of the report.

  - `data.data.account` (object)
    Account information.

  - `data.data.account.id` (string)
    Account unique identifier.

  - `data.data.references` (array)

  - `data.data.references.id` (string)

  - `data.data.references.type` (string)
    Report reference type
* CORPORATE_ACTION_TRANSACTION_ID - Corporate action transaction identifier
* ACCOUNT_GROUP_ID - Account group identifier
* ACCOUNT_ID - Account identifier
* ORDER_ID - Order identifier
    Enum: "CORPORATE_ACTION_TRANSACTION_ID", "ACCOUNT_GROUP_ID", "ACCOUNT_ID", "ORDER_ID"

## Response 400 fields (application/problem+json):

  - `type` (string, required)
    URL to a document describing the error condition.

  - `status` (integer, required)
    Transmission of the HTTP status code so that all information can be found in one place, but also to correct changes in the status code due to the use of proxy servers.

  - `title` (string)
    A short, human-readable title for the general error type; the title should not change for given types.

  - `detail` (string)
    A human-readable description of the specific error.

  - `instance` (string)
    This optional key may be present, with a unique URI for the specific error; this will often point to an error log for that specific response.

  - `request_id` (string)
    Correlation ID for the original request.

## Response 401 fields (application/problem+json):

  - `type` (string, required)
    URL to a document describing the error condition.

  - `status` (integer, required)
    Transmission of the HTTP status code so that all information can be found in one place, but also to correct changes in the status code due to the use of proxy servers.

  - `title` (string)
    A short, human-readable title for the general error type; the title should not change for given types.

  - `detail` (string)
    A human-readable description of the specific error.

  - `instance` (string)
    This optional key may be present, with a unique URI for the specific error; this will often point to an error log for that specific response.

  - `request_id` (string)
    Correlation ID for the original request.

## Response 403 fields (application/problem+json):

  - `type` (string, required)
    URL to a document describing the error condition.

  - `status` (integer, required)
    Transmission of the HTTP status code so that all information can be found in one place, but also to correct changes in the status code due to the use of proxy servers.

  - `title` (string)
    A short, human-readable title for the general error type; the title should not change for given types.

  - `detail` (string)
    A human-readable description of the specific error.

  - `instance` (string)
    This optional key may be present, with a unique URI for the specific error; this will often point to an error log for that specific response.

  - `request_id` (string)
    Correlation ID for the original request.

## Response 404 fields (application/problem+json):

  - `type` (string, required)
    URL to a document describing the error condition.

  - `status` (integer, required)
    Transmission of the HTTP status code so that all information can be found in one place, but also to correct changes in the status code due to the use of proxy servers.

  - `title` (string)
    A short, human-readable title for the general error type; the title should not change for given types.

  - `detail` (string)
    A human-readable description of the specific error.

  - `instance` (string)
    This optional key may be present, with a unique URI for the specific error; this will often point to an error log for that specific response.

  - `request_id` (string)
    Correlation ID for the original request.

## Response 406 fields (application/problem+json):

  - `type` (string, required)
    URL to a document describing the error condition.

  - `status` (integer, required)
    Transmission of the HTTP status code so that all information can be found in one place, but also to correct changes in the status code due to the use of proxy servers.

  - `title` (string)
    A short, human-readable title for the general error type; the title should not change for given types.

  - `detail` (string)
    A human-readable description of the specific error.

  - `instance` (string)
    This optional key may be present, with a unique URI for the specific error; this will often point to an error log for that specific response.

  - `request_id` (string)
    Correlation ID for the original request.

## Response 429 fields (application/problem+json):

  - `type` (string, required)
    URL to a document describing the error condition.

  - `status` (integer, required)
    Transmission of the HTTP status code so that all information can be found in one place, but also to correct changes in the status code due to the use of proxy servers.

  - `title` (string)
    A short, human-readable title for the general error type; the title should not change for given types.

  - `detail` (string)
    A human-readable description of the specific error.

  - `instance` (string)
    This optional key may be present, with a unique URI for the specific error; this will often point to an error log for that specific response.

  - `request_id` (string)
    Correlation ID for the original request.

## Response 500 fields (application/problem+json):

  - `type` (string, required)
    URL to a document describing the error condition.

  - `status` (integer, required)
    Transmission of the HTTP status code so that all information can be found in one place, but also to correct changes in the status code due to the use of proxy servers.

  - `title` (string)
    A short, human-readable title for the general error type; the title should not change for given types.

  - `detail` (string)
    A human-readable description of the specific error.

  - `instance` (string)
    This optional key may be present, with a unique URI for the specific error; this will often point to an error log for that specific response.

  - `request_id` (string)
    Correlation ID for the original request.

## Response 503 fields (application/problem+json):

  - `type` (string, required)
    URL to a document describing the error condition.

  - `status` (integer, required)
    Transmission of the HTTP status code so that all information can be found in one place, but also to correct changes in the status code due to the use of proxy servers.

  - `title` (string)
    A short, human-readable title for the general error type; the title should not change for given types.

  - `detail` (string)
    A human-readable description of the specific error.

  - `instance` (string)
    This optional key may be present, with a unique URI for the specific error; this will often point to an error log for that specific response.

  - `request_id` (string)
    Correlation ID for the original request.

## Response 504 fields (application/problem+json):

  - `type` (string, required)
    URL to a document describing the error condition.

  - `status` (integer, required)
    Transmission of the HTTP status code so that all information can be found in one place, but also to correct changes in the status code due to the use of proxy servers.

  - `title` (string)
    A short, human-readable title for the general error type; the title should not change for given types.

  - `detail` (string)
    A human-readable description of the specific error.

  - `instance` (string)
    This optional key may be present, with a unique URI for the specific error; this will often point to an error log for that specific response.

  - `request_id` (string)
    Correlation ID for the original request.

